Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228107 - [LSPP] Labels for labeled printing don't linewrap
Summary: [LSPP] Labels for labeled printing don't linewrap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: RHEL5LSPPCertTracker
TreeView+ depends on / blocked
 
Reported: 2007-02-10 00:01 UTC by Matt Anderson
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RHSA-2007-1020
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-31 13:48:43 UTC


Attachments (Terms of Use)
cups-lspp patch with support for line wrapped labels (deleted)
2007-03-20 16:29 UTC, Matt Anderson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1020 normal SHIPPED_LIVE Important: cups security and bug fix update 2007-10-31 13:48:34 UTC

Description Matt Anderson 2007-02-10 00:01:35 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matt Anderson 2007-02-10 00:06:59 UTC
Description of problem:
When using labeled printing a long enough label will continue off the edge of
the page, resulting in lost information.

How reproducible:
Everytime

Steps to Reproduce:
1. Create a really long label name in /etc/selinux/mls/setrans.conf
2. Setup labeled printing in cups
3. Print something with the long label and see that its truncated.
  
Actual results:
The label is truncated at the begining and end.

Expected results:
According to our evaluators the label needs to line wrap.

Additional info:
I have a patch that I will submit once testing on it finishes.

Comment 2 Irina Boverman 2007-02-14 21:25:32 UTC
per 2/12 discussion, Matt continues to work on a patch.

Comment 3 Matt Anderson 2007-03-20 16:29:41 UTC
Created attachment 150507 [details]
cups-lspp patch with support for line wrapped labels

This patch includes changes to filter/common.c which will automatically line
wrap labels that are longer than the page.  The label font for LSPP labels is
switched to a fixed width font in order to perform the calculation, and when
the server is in LSPP mode the label now starts with "LSPP:" so that the filter
knows to handle line wrapping.

This patch also introduces a PerPageLabel config file option, which defaults to
yes.  When an admin sets it to no CUPS will not force a label on each page of
the output.

Lastly this patch adds handling for the lpr option page-label which can
normally be used to apply an additional label to the output, but now in LSPP
mode this option is no longer honored.	If a client attempts to use it the
option is dropped by cupsd.

Comment 8 Klaus Heinrich Kiwi 2007-03-29 23:02:53 UTC
this appears to be working on 1:1.2.4-11.8

Comment 12 errata-xmlrpc 2007-10-31 13:48:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-1020.html



Note You need to log in before you can comment on or make changes to this bug.